# -------------------------------------------------
# Project created by QtCreator 2010-02-10T15:30:20
# -------------------------------------------------
QT -= core \
    gui
TARGET = NBWSat
CONFIG += console \
    release
CONFIG -= app_bundle
TEMPLATE = app
HEADERS += Minisat/Constraints.h \
    Minisat/GLobal.h \
    Minisat/Heap.h \
    Minisat/Queue.h \
    Minisat/Solver.h \
    Minisat/SolverTypes.h \
    Minisat/Sort.h \
    Minisat/VarOrder.h \
    NBW.hpp \
    AcceptNotTooMuchConstraint.hpp \
    AcceptEnoughConstraint.hpp \
    ReferenceAutomatonBitMaskTypeTrie.hpp \
    MemoryRecycler.hpp \
    SymmetryBreaker.hpp \
    SymmetryBreaker.hpp
SOURCES += main.cpp \
    Minisat/Constraints.C \
    Minisat/Solver.C \
    NBW.cpp \
    AcceptNotTooMuchConstraint.cpp \
    AcceptEnoughConstraint.cpp \
    ReferenceAutomatonBitMaskTypeTrie.cpp \
    SymmetryBreaker.cpp
QMAKE_CXXFLAGS += -DNO_SUPPORT_FOR_LARGE_NBAS -DTRACK_CAUSE_IN_NOT_TOO_MUCH_CONSTRAINT
QMAKE_CXXFLAGS_RELEASE = -O3 \
    -fno-strict-aliasing \
    -DNDEBUG \
    -g \
    -march=native \
    -mtune=native \
    -fomit-frame-pointer \
    -funroll-loops
